import { defineStore } from 'pinia'
export const useAppStore = defineStore('app', {
  state: () => {
    return { 
        app: {},
        appMeta: {},
        appParams: {},
        userId: '',
    }
  },
  actions: {
    setApp (appInfo) {
      this.app = appInfo
    },
    setAppMeta (appMeta) {
      this.appMeta = appMeta
    },
    setAppParams (appParams) {
      this.appParams = appParams
    },
    setUserId (userId) {
      this.userId = userId
    }
  },
  persist: {
    key: 'app',
    storage: sessionStorage
  }
})